Wiki Roadmap Timeline Tickets New Ticket Source Search Help / Guide About Trac Login

Ticket #98 (closed enhancement: fixed)

Opened 13 years ago

Last modified 9 years ago

LDC for Visual Studio and 64-bit Windows

Reported by: fraserofthenight Assigned to:
Priority: minor Milestone:
Component: backend Version:
Keywords: win32 win64 windows vs visual studio Cc:

Description

No D compiler currently targets Windows for X86-64, but LLVM has the ability to generate code for this OS/architecture combination. This ticket is a request/progress log of getting LLVMDC to generate code for 64-bit Windows.

The included patch is a work-in-progress which should allow LLVMDC to compile using Microsoft Visual Studio 2008 and LLVM SVN 56998 (also compiled for x64|Debug using MSVC9). It will compile in 32 or 64 bit modes to generate .bc files. The runtime is not yet compiling (perhaps some MSBuild scripts are in order, as well as any needed changes to the runtime).

I am currently working on this and this ticket was created simply to record my progress in this area and upload the patch. Some of the code changes were needed to get MSVC to compile it, but shouldn't break anything. There may be problems with the MSVC build; it has not been thoroughly tested.

Attachments

msvc.diff (55.9 kB) - added by fraserofthenight on 10/03/08 09:33:51.
Diff to get it to compile with MSVC

Change History

10/03/08 09:33:51 changed by fraserofthenight

  • attachment msvc.diff added.

Diff to get it to compile with MSVC

10/03/08 10:07:06 changed by lindquist

Thanx a lot for doing this work.

I'll review the patch over the weekend :)

10/17/08 08:16:54 changed by ChristianK

  • keywords set to win32 win64 windows vs visual studio.
  • summary changed from LLVMDC for Visual Studio and 64-bit Windows to LDC for Visual Studio and 64-bit Windows.

How does your work on the runtime progress? Do you think it'd be worthwile for us to already fold in some or all of your changes?

06/03/12 00:29:29 changed by klickverbot

  • status changed from new to closed.
  • resolution set to fixed.
  • component set to backend.

DMD and LDC can both be built with Visual Studio now.

Copyright © 2008, LDC Development Team.